Bug 218023 - albums tree does not remember sorting order (ascending/descending)
Summary: albums tree does not remember sorting order (ascending/descending)
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Albums-Sort (show other bugs)
Version: 1.0.0
Platform: openSUSE RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on: 227530
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-09 19:51 UTC by S. Burmeister
Modified: 2017-08-18 11:25 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.0.0
caulier.gilles: Junior_Jobs+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description S. Burmeister 2009-12-09 19:51:48 UTC
Version:           1.0.0 (using KDE 4.3.4)
OS:                Linux
Installed from:    openSUSE RPMs

If one uses View > Sort Albums > By Date the oldest albums are shown on top. If one wants to have the newest albums on top one can click on the column heading and change the sorting from ascending to descending. Yet if one quits digikam and re-opens it, it always shows the newest albums on top, i.e. does not remember whether the user chose ascending or descending sorting.
Comment 1 caulier.gilles 2009-12-09 21:16:03 UTC
Johannes,

This bug must in add to model view port of album tree view...

Gilles
Comment 2 Johannes Wienke 2009-12-09 21:31:33 UTC
It's already on my TODO list there.
Comment 3 Andi Clemens 2010-12-04 12:20:20 UTC
Sorting albums seems to be gone from the menu... have we removed this feature on purpose?
Comment 4 Johannes Wienke 2010-12-04 13:27:20 UTC
For me the sorting works as expected after restarting digikam.

Was it in the menu before? I cannot remember this. With a click on the header in tree view it works.
Comment 5 S. Burmeister 2010-12-04 14:52:42 UTC
(In reply to comment #4)
> For me the sorting works as expected after restarting digikam.
> 
> Was it in the menu before? I cannot remember this. With a click on the header
> in tree view it works.

Since one cannot sort the album-tree by date anymore, how can you test whether "sort by date asc/desc" is remembered across sessions?

Bug 227530 needs to be fixed before one can re-test this.
Comment 6 Johannes Wienke 2010-12-04 14:58:43 UTC
Oh, I did not see the date. Sorry.